Page MenuHomePhabricator

MathJax treats percent sign (%) as start of a comment
Closed, ResolvedPublic

Description

texvc translates all % to \%, but MathJax doesn't, so every formula with a % sign fails.


Version: unspecified
Severity: normal

Details

Reference
bz36855

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:25 AM
bzimport added a project: Math.
bzimport set Reference to bz36855.
bzimport added a subscriber: Unknown Object (MLST).
Schnark created this task.May 15 2012, 9:00 AM
TheDJ added a comment.Jun 2 2012, 11:37 AM

Hmm texvc does that ? I'm not sure we should support it. We have been adding quite a bit of non-tex compliancy into texvc it seems. It's giving me second thoughts because it's a lot of compatibility issues that we are opening ourselves up to.

TheDJ added a comment.Jul 3 2012, 7:42 AM

"LaTeX use the percent sign ( % ) to indicate comments; everything from % to the end of the line is ignored."

TheDJ added a comment.Jul 3 2012, 7:43 AM

char literal special meaning (unescaped) char literal special meaning (unescaped)
% \% introduces a comment ^ \^ introduces a superscript in math mode
# \# introduces macro's formal parameters _ \_ introduces a subscript in math mode
$ \$ math-mode delimiter { \{ begin a group
& \& data separator in tables } \} end of group
~ \~ non-breakable space in text \ \backslash begins a command

https://gerrit.wikimedia.org/r/23063 (Gerrit Change I0cb026d749733ed3dbba8faacb163be4438fc6bb) | change APPROVED and MERGED [by jenkins-bot]